## com.lowagie.bc.asn1
Class DERGeneralString

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERGeneralString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERGeneralString
extends DERObject
implements DERString

Field Summary
`private String` `string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERGeneralString(byte[] string)`
`DERGeneralString(String string)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`
`static DERGeneralString` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DERGeneralString` `getInstance(Object obj)`
`byte[]` `getOctets()`
`String` `getString()`
`int` `hashCode()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    private String string

Constructor Detail

### DERGeneralString

    public DERGeneralString(byte[] string)

### DERGeneralString

    public DERGeneralString(String string)

Method Detail

### getInstance

    public static DERGeneralString getInstance(Object obj)

### getInstance

    public static DERGeneralString getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

### getString

    public String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)